#include "SceneText.h"

SceneText::SceneText()
{
    mTextData.mFont = FontItem("Arial", 16);
}

SceneItem::Type SceneText::getType() const
{
    return SceneItem::Type::TEXT;
}

const TextData& SceneText::getTextData() const
{
    return mTextData;
}

void SceneText::setTextData(const TextData& data)
{
    if (mTextData != data)
    {
        mTextGeometryIsDirty = true;
        mTextData = data;
    }
}
